Intrusion Prevention

IMail.Whois32.Daemon.Buffer.Overflow

Description

IMail has a buffer overflow vulnerability. A remote attacker could execute arbitrary code on the system of a victim with the privileges of the service, by sending a specially-crafted whois request.

Affected Products

IMail Service 5.0

Impact

System compromise.

Recommended Actions

Upgrade to the latest version, available from the web site.
http://www.ipswitch.com/Products/IMail_Server/index.asp

CVE References

CVE-1999-1551

Other References

eeye